
From: Geert Uytterhoeven <geert@linux-m68k.org>

M68k math emulator: Use C99 struct initializers



---

 25-akpm/arch/m68k/math-emu/fp_arith.c |    5 +++--
 25-akpm/arch/m68k/math-emu/fp_log.c   |    2 +-
 2 files changed, 4 insertions(+), 3 deletions(-)

diff -puN arch/m68k/math-emu/fp_arith.c~68k-351 arch/m68k/math-emu/fp_arith.c
--- 25/arch/m68k/math-emu/fp_arith.c~68k-351	Thu Jan  8 15:37:33 2004
+++ 25-akpm/arch/m68k/math-emu/fp_arith.c	Thu Jan  8 15:37:33 2004
@@ -19,12 +19,13 @@
 
 const struct fp_ext fp_QNaN =
 {
-	0, 0, 0x7fff, { ~0 }
+	.exp = 0x7fff,
+	.mant = { .m64 = ~0 }
 };
 
 const struct fp_ext fp_Inf =
 {
-	0, 0, 0x7fff, { 0 }
+	.exp = 0x7fff,
 };
 
 /* let's start with the easy ones */
diff -puN arch/m68k/math-emu/fp_log.c~68k-351 arch/m68k/math-emu/fp_log.c
--- 25/arch/m68k/math-emu/fp_log.c~68k-351	Thu Jan  8 15:37:33 2004
+++ 25-akpm/arch/m68k/math-emu/fp_log.c	Thu Jan  8 15:37:33 2004
@@ -19,7 +19,7 @@
 
 static const struct fp_ext fp_one =
 {
-	0, 0, 0x3fff, { 0 }
+	.exp = 0x3fff,
 };
 
 extern struct fp_ext *fp_fadd(struct fp_ext *dest, const struct fp_ext *src);

_
